Fluid - ViewHelper - Incubator - Suggestion #6327

page.title
2010-02-03 04:58 - Nathan L

Status: New Start date: 2010-02-03
Priority: Should have Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Has patch: Tags:

Description

| thought it might be nice to be able to set a page title.
<f:page.title>{blog.name}</f:page.title>

Arguments:

mode

glue

display

Mode has three potential values:

replace - overwrite the existing page title. This is the default.
append - add the value to the end of the existing title
prepend - add the value to the beginning of the existing title
glue is the string to use if the value is append or prepend.
display has two potential values:

none - meaning the viewHelper renders nothing in the template.

render - means that the tag will render it's children. This way you could use it in the context of an h1 tag like this:

<h1><f:page.title display="render">{blog.title}</f:page.title></h1>

History

#1 - 2010-03-18 11:43 - Thomas Deinhamer

Tried it out and works well. Just had to figure out, that
it only works with the default title generation of TYPO3
and this includes an ugly "' (Doppelpunkt) after the title.

But this viewhelper is a really nice addition!

#2 - 2010-03-18 11:50 - Thomas Deinhamer

Some additional info which | just googled for some time.

To teach 'indexed_search' which title to display in the
Search results list, one can tell it by setting it via:

SGLOBALS['TSFE']->indexedDocTitle = $newTitle;

So in my simple case | just added this little line

to the viewhelper, and now the indexed search will
also display nice titles for pages which act as a
single/details page, displaying product, news, etc. data.

#3 - 2010-07-12 12:42 - Bastian Waidelich

- Tracker changed from Feature to Suggestion

- Project changed from TYPOGS.Fluid to Fluid - ViewHelper - Incubator
- Category deleted (ViewHelpers)
#4 - 2010-07-12 13:15 - Bastian Waidelich

- Subject changed from viewHelper for setting page title from a template to page.title

#5 - 2012-01-24 10:02 - Lorenz Ulrich

+1 for this to go into a Fluid release. Are there any chances if | push this to Gerrit?

#6 - 2014-06-18 11:36 - Florian Michel

This feature is already implemented in FedExt 'VHS', see: http:/fluidtypo3.org/viewhelpers/vhs/master/Page/Header/TitleViewHelper.html
